#!/bin/sh
recipients="root+git" # adresse pour l'envoi du courriel

PATH="/bin:/usr/bin"
export PATH

. /etc/auf-git-etc/config

[ -x /usr/bin/git -a -d /.git ] || exit 0

tempfile=`tempfile`
if [ $? != 0 ]; then
  echo "Erreur fatale de création de fichier temporaire."
  exit -1
fi
trap "rm -f \"$tempfile\"" 0 1 2 3 15

(cd / ; /usr/bin/git status --short) >"$tempfile"

if [ -s "$tempfile" ]; then
(
  cat << __EOF__
From: auf-git-etc - Cron Daemon <root+git@`cat /etc/mailname 2>/dev/null || hostname --fqdn`>
To: ${recipients}
Date: `date --rfc-2822`
Subject: git-status: `hostname --fqdn` - $0
Content-Type: text/plain; charset=utf-8

Modifications en attente de validation sur `hostname --fqdn` :

__EOF__
  cat "$tempfile"
) | (
  head -c 16k
  cat << __EOF__

-- 
http://wiki.auf.org/wikiteki/Git/SuiviDeConfiguration
__EOF__
) | /usr/sbin/sendmail ${recipients}
fi

exit 0
